/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/fee
curl --request POST \
--url https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/fee \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"debitAmount": 123,
"description": "<string>",
"creditParty": {
"local": {
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"walletId": "<string>"
},
"remote": {
"pixKey": "<string>"
}
},
"external": {
"invoiceId": "<string>",
"dealId": "<string>",
"contractId": "<string>"
},
"linkedTransactions": [
"<string>"
]
}
'import requests
url = "https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/fee"
payload = {
"debitAmount": 123,
"description": "<string>",
"creditParty": {
"local": {
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"walletId": "<string>"
},
"remote": { "pixKey": "<string>" }
},
"external": {
"invoiceId": "<string>",
"dealId": "<string>",
"contractId": "<string>"
},
"linkedTransactions": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
debitAmount: 123,
description: '<string>',
creditParty: {
local: {
realmId: '<string>',
organizationId: '<string>',
accountId: '<string>',
walletId: '<string>'
},
remote: {pixKey: '<string>'}
},
external: {invoiceId: '<string>', dealId: '<string>', contractId: '<string>'},
linkedTransactions: ['<string>']
})
};
fetch('https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/fee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": "FLEX_NATIONAL",
"debitAmount": 123,
"creditParty": {
"type": "LOCAL",
"local": {
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"walletId": "<string>",
"category": "FLEX_NATIONAL"
},
"remote": {
"pixKey": "<string>",
"pixDict": "PHONE"
}
},
"description": "<string>",
"status": "CREATED",
"external": {
"invoiceId": "<string>",
"dealId": "<string>",
"contractId": "<string>"
},
"linkedTransactions": [
"<string>"
],
"wallet": {
"_id": "<string>",
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"environment": "LIVE",
"external": {
"balanceAccountGroupId": "<string>",
"accountNumber": 123,
"accountDigit": 123,
"branch": "<string>",
"accountRequestId": "<string>",
"checkingAccountId": "<string>",
"accountType": "PREPAID",
"productId": "<string>"
},
"currency": "784",
"customFields": "<unknown>",
"status": "PENDING",
"role": "DEFAULT",
"type": "PERSONAL",
"name": "<string>",
"shared": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"role": "OWNER"
}
],
"settings": {
"payment": {
"pix": true,
"bankSlip": true,
"card": true
},
"notification": {
"balanceLimit": {
"amount": 123,
"email": true,
"isActive": true
}
}
},
"createdBy": "<string>",
"updatedBy": "<string>",
"totalBalance": 123,
"balances": [
{
"category": "FLEX_NATIONAL",
"amount": 123
}
],
"walletProduct": "<string>",
"isSuper": true
},
"debitParty": {
"type": "LOCAL",
"local": {
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"walletId": "<string>",
"category": "FLEX_NATIONAL"
},
"remote": {
"pixKey": "<string>",
"pixDict": "PHONE"
}
}
}Wallets
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/fee
POST
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
accounts
/
{accountId}
/
wallets
/
{walletId}
/
fee
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/fee
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
FLEX_NATIONAL, FLEX_INTERNATIONAL, FOOD, GAS, MOBILITY, TOLL, FLEX_NATIONAL_WITHOUT_WITHDRAWALS, ADS, SAAS, HOTEL, AIRLINES, TRAVEL Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
201 - application/json
Successful response
Available options:
FLEX_NATIONAL, FLEX_INTERNATIONAL, FOOD, GAS, MOBILITY, TOLL, FLEX_NATIONAL_WITHOUT_WITHDRAWALS, ADS, SAAS, HOTEL, AIRLINES, TRAVEL, BLOCKED, CASHBACK Show child attributes
Show child attributes
Available options:
CREATED, PROCESSING, PROCESSED, ERROR Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes